Bug 54384 - Memory allocation bug
Summary: Memory allocation bug
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: newt   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-05 12:25 UTC by Gary Benson
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-05 12:25:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gary Benson 2001-10-05 12:25:38 UTC
Problem: There is a memory allocation bug in the entry code that causes
segfaults on some platforms when using password entries.

Version: newt-0.50.30

Fix:
--- entry.c.orig	Tue Jan 23 06:27:38 2001
+++ entry.c	Fri Oct  5 13:23:22 2001
@@ -142,7 +142,7 @@
     if (en->flags & NEWT_FLAG_PASSWORD) {
 	char *tmpptr, *p;
 
-
tmpptr = alloca(strlen(chptr+2));
+
tmpptr = alloca(strlen(chptr)+2);
 	strcpy(tmpptr, chptr);
 	for (p = tmpptr; *p; p++)
 	    *p = '*';

Comment 1 Bill Nottingham 2001-10-08 15:14:38 UTC
Will be fixed in 0.50.35-1.


Note You need to log in before you can comment on or make changes to this bug.